%define api	1
%define major	3
%define libname	%mklibname 3ds %{api} %{major}
%define devname	%mklibname 3ds -d

Name:		lib3ds
Version:	1.3.0
Release:	%mkrel 22
Summary:	3D Studio file format library
Group:		Development/C
License:	LGPLv2+
URL:		http://lib3ds.sourceforge.net
Source:		https://downloads.sourceforge.net/lib3ds/lib3ds-%{version}.zip
# Extracted from Debian's lib3ds_1.3.0-1.diff.gz
Patch0:		lib3ds-1.3.0-lib3ds-file.h.diff
# Address https://bugzilla.redhat.com/show_bug.cgi?id=633475
Patch1:		lib3ds-1.3.0-lib3ds-mesh.c.diff
Patch2:		lib3ds-1.2.0-pkgconfig.diff
Patch3:		lib3ds-1.3.0-automake-1.13.patch

%description
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

Supported platforms include GNU (autoconf, automake, libtool, make, GCC) on
Unix and Cygwin, and MS Visual C++ 6.0. lib3ds loads and saves Atmosphere
settings, Background settings, Shadow map settings, Viewport setting,
Materials, Cameras, Lights, Meshes, Hierarchy, Animation keyframes. It also
contains useful matrix, vector and quaternion mathematics tools. lib3ds
usually integrates well with OpenGL. In addition, some diagnostic and
conversion tools are included.

%package -n %{libname}
Summary:	3D Studio file format library
Group:		System/Libraries
Obsoletes:	%{name} < 1.3.0-16

%description -n %{libname}
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

%package tools
Summary:	3D Studio file format library
Group:		Graphical desktop/Other

%description tools
Some tools to process 3ds files.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.3.0-16
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure  --disable-static
%make_build

sed -e 's,@prefix@,%{_prefix},' \
  -e 's,@exec_prefix@,%{_exec_prefix},' \
  -e 's,@libdir@,%{_libdir},' \
  -e 's,@includedir@,%{_includedir},' \
  -e 's,@VERSION@,%{version},' \
  lib3ds.pc.in > lib3ds.pc

%install
%make_install

# pkgconfig file
install -Dpm 0644 lib3ds.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/%{name}-%{api}.so.%{major}
%{_libdir}/%{name}-%{api}.so.%{major}.*

%files tools
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/3dsdump
%{_mandir}/man1/3dsdump.1*

%files -n %{devname}
%{_bindir}/lib3ds-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/lib3ds.pc
%{_mandir}/man1/lib3ds-config.1*
%{_includedir}/lib3ds/
%{_datadir}/aclocal/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.3.0-22.mga9
+ Revision: 1791984
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3.0-21.mga8
+ Revision: 1513889
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-20.mga7
+ Revision: 1298744
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_buil- Use make_buildd

* Thu Feb 11 2016 umeabot <umeabot> 1.3.0-19.mga6
+ Revision: 955435
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-18.mga5
+ Revision: 745791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-17.mga5
+ Revision: 681311
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 1.3.0-16.mga5
+ Revision: 661087
- fix libification

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-15.mga4
+ Revision: 508559
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.3.0-14.mga3
+ Revision: 361685
- fix for automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 shlomif <shlomif> 1.3.0-12.mga3
+ Revision: 261326
- Got to build + rpmlint fixes
- Imported from Fedora RawHide


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.3.0-10
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Ralf Corsépius <corsepiu@fedoraproject> - 1.3.0-9
- Address https://bugzilla.redhat.com/show_bug.cgi?id=633475 (CVE-2010-0280).
- Adopt Debian patch to add missing decl.

* Tue May 11 2010 Ralf Corsépius <corsepiu@fedoraproject> - 1.3.0-8
- Adopt EPEL spec cleanup.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.0-5
- Fix silly typo in previous change.

* Wed Sep 24 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.0-4
- Work around rpmbuild having stopped supporting %%patch -P N.

* Mon Jul  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3.0-3
- fix conditional comparison

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-2
- Rebuild for gcc43.

* Sat Nov 03 2007 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-1
- Cleanup spec.
- Add post/postun.
- Re-add 3ds2m for fedora < 9.
- Abandon *-static for fedora >= 9.

* Fri Nov 02 2007 Xavier Lamien <lxtnow[at]gmail.com> - 1.3.0
- Updated Release.

* Sun Oct 21 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-13
- Address BZ 341851:
  - Add lib3ds.pc.
  - Rework lib3ds-config to using lib3ds.pc.
  - Add lib3ds-1.2.0-pkgconfig.diff

* Sat Oct 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-12
- Change Source: to using downloads.sourceforge.net.

* Sat Aug 18 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-11
- Update license tag.

* Wed Nov 14 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-10
- Add Provides: *-static.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-9
- Mass rebuild.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-8
- Mass rebuild.

* Thu Feb 28 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-7
- Rebuild.

* Thu Jan 05 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-6
- PR 176665: Apply upstream patch.
- Add %%dist.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Aug 09 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.3
- Fix m4-underquoting in lib3d.m4.

* Thu Jul 14 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.2
- Split out tools into separate subpackage "tools".
- Fix description's formating.

* Thu Jul 08 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.1
- Initial RPM release.
